Subject: Re: [PATCH 0/2] sctp: Add GSO support

From: Marcelo Ricardo Leitner <[email-masked]>
Date: Tue, 3 May 2016 13:47:45 -0300

On Tue, May 03, 2016 at 12:09:15PM -0400, David Miller wrote:
> From: Marcelo Ricardo Leitner <[email-masked]>
> Date: Tue, 3 May 2016 08:49:18 -0300
> 
> > So this is just for pure tx path, no forwarding involved.
> 
> And if that GSO segment is looped back into the stack via the
> loopback interface, the packet classifier mirror action, or
> netfilter?
> 
> You cannot just GSO things and then not handle such packets
> properly on receive.

Good point. It will fail if one uses AUTH due to the reason I mentioned
for GRO. I have to split the GSO packet upon rx too and that should do
it. Will post a v2 when I have it.

Thanks,
Marcelo